#include "stm32f10x.h"
#include "USART.h"
#include "1289LCD.h"
void GPIO_Configuration(void)
{
	GPIO_InitTypeDef GPIO_InitStructure;
	
	/* Configure IO connected to PD2(led0), PA8(led1) */	
   	GPIO_InitStructure.GPIO_Pin = GPIO_Pin_2;
  	GPIO_InitStructure.GPIO_Mode = GPIO_Mode_Out_PP;
  	GPIO_InitStructure.GPIO_Speed = GPIO_Speed_50MHz;
  	GPIO_Init(GPIOD, &GPIO_InitStructure);

  	GPIO_InitStructure.GPIO_Pin = GPIO_Pin_8;
  	GPIO_InitStructure.GPIO_Mode = GPIO_Mode_Out_PP;
  	GPIO_InitStructure.GPIO_Speed = GPIO_Speed_50MHz;
  	GPIO_Init(GPIOA, &GPIO_InitStructure);
}

//ϵͳжϹ
void NVIC_Configuration(void)
	{ 
	//NVIC_InitTypeDef NVIC_InitStructure;

	/* Configure the NVIC Preemption Priority Bits */  
	NVIC_PriorityGroupConfig(NVIC_PriorityGroup_0);	//ȼ飺ռȼ0λ,ȼ4λ
	
	//λúƫ
	#ifdef  VECT_TAB_RAM  
		/* Set the Vector Table base location at 0x20000000 */ 
		NVIC_SetVectorTable(NVIC_VectTab_RAM, 0x0); 		//λRAM
	#else  /* VECT_TAB_FLASH  */
		/* Set the Vector Table base location at 0x08000000 */ 
		NVIC_SetVectorTable(NVIC_VectTab_FLASH, 0x0);   //λFLASH
	#endif
	}

//ϵͳʱ,ʹܸʱ
void RCC_Configuration(void)
{
	SystemInit();	
	RCC_APB2PeriphClockCmd(RCC_APB2Periph_USART1 | RCC_APB2Periph_GPIOA 
                           |RCC_APB2Periph_GPIOB | RCC_APB2Periph_GPIOC
                           |RCC_APB2Periph_GPIOD | RCC_APB2Periph_GPIOE
						   |RCC_APB2Periph_ADC1  | RCC_APB2Periph_AFIO 
                           |RCC_APB2Periph_SPI1, ENABLE );
  // RCC_APB2PeriphClockCmd(RCC_APB2Periph_ALL ,ENABLE );
     RCC_APB1PeriphClockCmd(RCC_APB1Periph_TIM4 
                           |RCC_APB1Periph_USART3|RCC_APB1Periph_TIM2	                           
                           , ENABLE );
	 RCC_AHBPeriphClockCmd(RCC_AHBPeriph_DMA1, ENABLE);
}


//
void Init_All_Periph(void)
{
	RCC_Configuration();	
	GPIO_Configuration();
	NVIC_Configuration();
	USART1_Configuration();
}

void Delay(vu32 nCount)
{
  for(; nCount != 0; nCount--);
}

int main(void)
{  
  
	Init_All_Periph();
	LCD_Init();	

	LCD_ShowString(0,0,"ni hao xian");
 	while(1)
  	{
		LCD_Fill(0,40,239,60,MAGENTA);
		LCD_Fill(0,60,239,80,GRAY);
		LCD_Fill(0,80,239,100,BROWN);
		LCD_Fill(0,100,239,120,LGRAY);
		LCD_Fill(0,120,239,140,BRRED);
		LCD_Fill(0,140,239,160,YELLOW);
		LCD_Fill(0,160,239,180,CYAN);
		LCD_Fill(0,180,239,200,BLACK);
		LCD_Fill(0,200,239,220,WHITE);
		LCD_Fill(0,220,239,240,BLUE);
		LCD_Fill(0,240,239,260,RED);
		LCD_Fill(0,260,239,280,GREEN);
		LCD_Fill(0,280,239,300,GRAY);
		LCD_Fill(0,300,239,319,LGRAY);
  	}
}


